Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## groovy.io
Enum FileType

    java.lang.Object
      java.lang.Enum<FileType>
          groovy.io.FileType

All Implemented Interfaces:
  Serializable, Comparable<FileType>

    public enum FileType
    extends Enum<FileType>

Represents particular files of interest.

Enum Constant Summary
Enum Constant and Description
`ANY` Represents both normal files and directories
`DIRECTORIES` Represents directories
`FILES` Represents normal files

Method Summary
Modifier and Type | Method and Description
--- | ---
`static FileType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static FileType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### FILES

    public static final FileType FILES

  Represents normal files

### DIRECTORIES

    public static final FileType DIRECTORIES

  Represents directories

### ANY

    public static final FileType ANY

  Represents both normal files and directories

Method Detail

### values

    public static FileType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (FileType c : FileType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static FileType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD